> ## Documentation Index
> Fetch the complete documentation index at: https://rendi.dev/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# FFprobe and store a file

> Submit a file to be analyzed with FFprobe and stored in Rendi's storage. You can use this endpoint both to get metadata about a file and to store it. If you delete the file, you will still have access to its metadata. Get the file's storage url and metadata using the GET /files/{file_id} endpoint. If you require other data extracted from FFprobe - message us at support@rendi.dev.

<Note>
  Async job: returns `file_id` immediately; poll [`get-file`](/api-reference/endpoint/get-file) until `status` is `STORED`.

  Rendi already stores your FFmpeg output files (see `storage_url` in the response from `run-ffmpeg-command`). Use this endpoint to persist intermediate assets or pre-probe input files for FFprobe metadata.
</Note>


## OpenAPI

````yaml POST /v1/files/store-file
openapi: 3.1.0
info:
  title: FFmpeg Command API
  description: API for running FFmpeg in a cloud environment
  version: 1.0.0
servers:
  - url: https://api.rendi.dev
    description: Rendi - FFmpeg API
security: []
paths:
  /v1/files/store-file:
    post:
      tags:
        - API
        - File Management
      summary: FFprobe and store a file
      description: >-
        Submit a file to be analyzed with FFprobe and stored in Rendi's storage.
        You can use this endpoint both to get metadata about a file and to store
        it. If you delete the file, you will still have access to its metadata.
        Get the file's storage url and metadata using the GET /files/{file_id}
        endpoint. If you require other data extracted from FFprobe - message us
        at support@rendi.dev.
      operationId: store_file_v1_files_store_file_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FileStoreRequest'
        required: true
      responses:
        '200':
          description: Successfully submitted file for FFprobe and storage
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RendiStoredFileId'
              example:
                file_id: 123e4567-e89b-12d3-a456-426614174000
        '401':
          description: Invalid API key
          content:
            application/json:
              example:
                detail: Invalid authorization key
        '403':
          description: Account quota exceeded or plan does not support this command
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        '429':
          description: Rate limit exceeded
      security:
        - APIKeyHeader: []
components:
  schemas:
    FileStoreRequest:
      properties:
        file_url:
          type: string
          title: File Url
          description: >-
            URL to the publicly accessible file. You can use public file urls,
            google drive, dropbox, rendi stored files, s3 stored files, 
                    etc. as long as they are publicly accessible.
          examples:
            - https://storage.rendi.dev/sample/sample.avi
      type: object
      required:
        - file_url
      title: FileStoreRequest
    RendiStoredFileId:
      properties:
        file_id:
          type: string
          title: File Id
          description: Unique identifier for the stored file
          examples:
            - 987fcdeb-a89b-43d3-b456-789012345678
      type: object
      required:
        - file_id
      title: RendiStoredFileId
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-KEY

````